%define name	phylip
%define version	3.66
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Phylogeny Inference Package
Group:		Sciences/Biology
License:	Freeware
URL:		http://evolution.genetics.washington.edu/phylip.html
Source:		ftp://evolution.genetics.washington.edu/pub/phylip/%{name}-%{version}.tar.bz2
Patch:		%{name}.build.patch.bz2
BuildRequires:	XFree86-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
PHYLIP (the PHYLogeny Inference Package) is a package of programs for
inferring phylogenies (evolutionary trees). Methods that are available
in the package include parsimony, distance matrix, and likelihood methods,
including bootstrapping and consensus trees.
Data types that can be handled include molecular sequences, gene frequencies,
restriction sites, distance matrices, and 0/1 discrete characters.

This package is in PLF because of its non-free license.

%prep
%setup -q -n %{name}%{version}
%patch

%build
cd src
%ifarch x86_64
	%define xlibs %{_prefix}/X11R6/lib64
%else
	%define xlibs %{_prefix}/X11R6/lib
%endif
%make CFLAGS="$RPM_OPT_FLAGS" DLIBS="-L%{xlibs} -lX11 -lXaw -lXt" all

%install
rm -rf %{buildroot}
cd src
%make BINDIR=%{buildroot}%{_libdir}/%{name} DATADIR=%{buildroot}%{_datadir} put
# symlink default font file
cd %{buildroot}%{_datadir}/%{name} && ln -s font1 fontfile

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc phylip.html doc
%{_libdir}/%{name}
%{_datadir}/%{name}

%changelog
* Sat Apr 16 2005 Guillaume Rousse <guillomovitch@zarb.org> 3.63-1plf
- new version
- fix x86_64 build
- PLF reason

* Sun Jan 30 2005 Guillaume Rousse <guillomovitch@zarb.org> 3.6b-2plf 
- fix license
- spec cleanup

* Sun Apr 25 2004 Stefan van der Eijk <stefan@zarb.org> 3.6b-1plf
- 3.6b

* Thu Nov  6 2003 Stefan van der Eijk <stefan@eijk.nu> 3.6a3-3plf
- BuildRequires

* Fri Feb 28 2003 Guillaume Rousse <guillomovitch@zarb.org> 3.6a3-2plf
- fixed font handling
- moved binaries in %{_libdir}/%{name}

* Thu Feb 27 2003 Guillaume Rousse <guillomovitch@zarb.org> 3.6a3-1plf
- first plf release with a spec stolen from Luc Ducazu <luc@biolinux.org> 
